summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-11-06 13:44:28 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-11-06 13:44:28 +0000
commit14176abc3efdac10ec64b5ca283112d1e78a2cc0 (patch)
tree993db182b2b3db377d0993fa80da417deb45787f /dev-python
parent603ab63aaeff36880aded0a4f03e528c98d34f4f (diff)
downloadbaldeagleos-repo-14176abc3efdac10ec64b5ca283112d1e78a2cc0.tar.gz
baldeagleos-repo-14176abc3efdac10ec64b5ca283112d1e78a2cc0.tar.xz
baldeagleos-repo-14176abc3efdac10ec64b5ca283112d1e78a2cc0.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/arrow/arrow-1.1.1.ebuild2
-rw-r--r--dev-python/boto3/Manifest7
-rw-r--r--dev-python/boto3/boto3-1.19.11.ebuild53
-rw-r--r--dev-python/boto3/boto3-1.19.12.ebuild (renamed from dev-python/boto3/boto3-1.19.10.ebuild)0
-rw-r--r--dev-python/boto3/boto3-1.19.6.ebuild53
-rw-r--r--dev-python/boto3/boto3-1.19.7.ebuild53
-rw-r--r--dev-python/boto3/boto3-1.19.8.ebuild53
-rw-r--r--dev-python/boto3/boto3-1.19.9.ebuild53
-rw-r--r--dev-python/botocore/Manifest7
-rw-r--r--dev-python/botocore/botocore-1.22.11.ebuild50
-rw-r--r--dev-python/botocore/botocore-1.22.12.ebuild (renamed from dev-python/botocore/botocore-1.22.10.ebuild)0
-rw-r--r--dev-python/botocore/botocore-1.22.6.ebuild50
-rw-r--r--dev-python/botocore/botocore-1.22.7.ebuild50
-rw-r--r--dev-python/botocore/botocore-1.22.8.ebuild50
-rw-r--r--dev-python/botocore/botocore-1.22.9.ebuild50
-rw-r--r--dev-python/cairocffi/cairocffi-1.3.0.ebuild2
-rw-r--r--dev-python/carbon/Manifest1
-rw-r--r--dev-python/carbon/carbon-1.1.8.ebuild62
-rw-r--r--dev-python/dask/Manifest1
-rw-r--r--dev-python/dask/dask-2021.11.0.ebuild50
-rw-r--r--dev-python/fonttools/Manifest1
-rw-r--r--dev-python/fonttools/fonttools-4.28.0.ebuild54
-rw-r--r--dev-python/fqdn/fqdn-1.5.1.ebuild2
-rw-r--r--dev-python/fsspec/Manifest1
-rw-r--r--dev-python/fsspec/fsspec-2021.11.0.ebuild48
-rw-r--r--dev-python/guessit/Manifest1
-rw-r--r--dev-python/guessit/guessit-3.4.1.ebuild36
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.24.2.ebuild62
-rw-r--r--dev-python/imageio/Manifest1
-rw-r--r--dev-python/imageio/imageio-2.10.3.ebuild41
-rw-r--r--dev-python/inotify_simple/Manifest1
-rw-r--r--dev-python/inotify_simple/inotify_simple-1.3.5.ebuild19
-rw-r--r--dev-python/inotify_simple/metadata.xml13
-rw-r--r--dev-python/isoduration/isoduration-20.11.0.ebuild2
-rw-r--r--dev-python/jsonschema/Manifest1
-rw-r--r--dev-python/jsonschema/jsonschema-4.1.2.ebuild2
-rw-r--r--dev-python/jsonschema/jsonschema-4.2.1.ebuild53
-rw-r--r--dev-python/pymongo/pymongo-3.12.1.ebuild2
-rw-r--r--dev-python/scipy/Manifest3
-rw-r--r--dev-python/scipy/scipy-1.7.2.ebuild185
-rw-r--r--dev-python/toolz/Manifest1
-rw-r--r--dev-python/toolz/toolz-0.11.2.ebuild20
-rw-r--r--dev-python/uritemplate/uritemplate-3.0.1-r1.ebuild2
-rw-r--r--dev-python/xarray/Manifest1
-rw-r--r--dev-python/xarray/xarray-0.20.1.ebuild46
46 files changed, 679 insertions, 567 deletions
diff --git a/dev-python/arrow/arrow-1.1.1.ebuild b/dev-python/arrow/arrow-1.1.1.ebuild
index 962e3c637cf0..bb81a3e3b64a 100644
--- a/dev-python/arrow/arrow-1.1.1.ebuild
+++ b/dev-python/arrow/arrow-1.1.1.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="amd64 ~arm arm64 ~ppc ~ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
>=dev-python/python-dateutil-2.7.0[${PYTHON_USEDEP}]
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 0c238fa94e7f..1337c23a4da5 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -1,10 +1,5 @@
DIST boto3-1.18.53.tar.gz 422176 BLAKE2B a07155f6be71c049479c1d2e47767bb2c6863075ea0085ca5cc4609e28aa8b0af0e2136754c0ed6fd05dfecab079f76d636e19e1b8af4b68220768cea6125e93 SHA512 ae774e3db52a90a0850b4bd90be105d4ab59b6478ed16e30e2cc5afec0664e2b13438ab7a460e570c680d49be240855b7c9ae30a373c83d50dda5da6b84d01b7
DIST boto3-1.18.60.tar.gz 428327 BLAKE2B d559c7512c7ab1160dfec4616741002ce82357d3469747044bf79f90baba5e6e3d2f2ecf32ae4cad7522a341d846d199cf34555376d05d56cdbfccc75d0f9042 SHA512 e013ec97b4379cbd3f21f000974d8078a2710f29a9a7d34532fa06c9011fb566238d38d45abd5ecad5b26ad544f72b86ae191fe475bd0d729d290553cd461ff8
DIST boto3-1.18.65.tar.gz 429858 BLAKE2B fbc80e0d8d10f6d02fcf9b86c6b4be03a9c908318c507a7cde1eef0c36d8fe3a5d3be0f8c6178edfdd8bc82adf112f297a5f127cd2b442ce10fe4d37b3a21fa4 SHA512 631d8f618fb6d55b338b563e72e1ccc751b8937bb2660d033b885951ea5ec3ac6902f8c7b9918664d764be84fdef5af4e7a87d444cbc154ebf5ae06908f90714
-DIST boto3-1.19.10.tar.gz 435970 BLAKE2B 98ed4022bb7eb80657b2b4a47de66b8ee8f535f5a6a39720b0e53ec97575cddaa33fa16277c71b4313a05583b1aa10cbe9e78f695e6959ca029648b7cd72fd58 SHA512 2e7457e34f7bc054648c0eb14b09839f3ac637923a287088edd5ccec4dd8b695d84771c8cf48110babdd540853a6dcdb10de652a89d592114f0242ba84f80b80
-DIST boto3-1.19.11.tar.gz 436702 BLAKE2B b3444a89bd3b0b430256554edecca7e11e107dd3860188d24c0743bf61901b2f487006077e06a32b1b17dc8fd8db3b4035bbec90623a2d12627741e805f8040e SHA512 f26f439ef9a2fb4abc4b0a32b7068d4944585757124b9e1c606b6b4f5cede402ffbcae97d15a44e252463a8ced0448305a283ab672d7b76b2239945f3ec3161b
+DIST boto3-1.19.12.tar.gz 436654 BLAKE2B f92e756bc9f98105e3126e41cf0d6fab948bbd79f088ee4e0f0f5f319d4a6e542c0702b487404b316f794b304c43f9c26da026257476341971a7ce241538f506 SHA512 e6b20730f35bb422a2f74e978adc0bac77aa18b4e80eab5175dc117cf2762a7d8e53d390c50df24dada6f1d071d78309c69598ffb3f8d93fd45a3d1f772a866f
DIST boto3-1.19.5.tar.gz 433567 BLAKE2B 52c12a4dd18d6f02326f8002b345cc5df224455fc862daa700326ae1df258979211d2753f01e1a106f237de393e483dc8926bb4ef0e08bafa575f20811dccd55 SHA512 fad05102f0c3e7e30a3342009f6b3ae28f52758f17a0c22b4da9a03dd10d7f9149ea2ec0119f55ec7280824bd8173653271821e82fcd54ef9fb9161b2d62df70
-DIST boto3-1.19.6.tar.gz 434389 BLAKE2B 3c7e4c91c95b93358b4a31d401e03f8a397802004a6ee2bfc2ef1a31df8b89e8866fa73d3354509ae00537898cc8e04b878cc9d00f82ae4e94266e8185e7abd1 SHA512 6ba4f7a89d973991afe329b4c648c8ecb0bb256d63c7e60ae8bb70e6fd5fc9b1929168dfdd55f2c84039856a32c891013abf61dc2e65f516490c446b0dfaaac2
-DIST boto3-1.19.7.tar.gz 434848 BLAKE2B 102b2d985cbad6c6ff6fc7866f47c172028e4b1a56ef7eac5854b12aedfbca1b94eb426fead04397e119ebaf939f7732202718395775b0555f566ed938c27dc7 SHA512 40cf5341bfd7cc4cae4c542e39e4c5ec1b63ba3bfee5faedb75633e656700dd5e80a137b234b57d22cc1b7d85a2056ced4eb8b7189ab57c8f2c0269e8826811d
-DIST boto3-1.19.8.tar.gz 435192 BLAKE2B 2cec7fe3a114ef349e4afc15f15315d351de93ecae3439946d9936effa257e55a88f6605b33e13ca927a245e99ad60b0c9c356320be6e4f95a99e52c6ff8da11 SHA512 f1038a0103f09c4bb20d4feb30abf3e2be2535d8e9e0e807e4d98f20ac27f27f0260b274c1b6e6b91f00c5d3e4206a92ab1cd80029f2b0720241d98356f688e7
-DIST boto3-1.19.9.tar.gz 435493 BLAKE2B 7f1485c51816ab4c0c52e47f110eebf5b9fd989e695d24daa0bf38fa9fbe09c2dd40758ece655d3e2734e88ad4aa73e606b951ea39b3fe718c6ad1498d7a52d4 SHA512 9cfb454af95d92c68cfd4e12d285ae4c43084d818c3fe75d98929a42eedcf04574e96663b69db6204cab211352dd59254e6c53fb4c3c03bc6ed896d805e6e59e
diff --git a/dev-python/boto3/boto3-1.19.11.ebuild b/dev-python/boto3/boto3-1.19.11.ebuild
deleted file mode 100644
index 30a0b44d3f8c..000000000000
--- a/dev-python/boto3/boto3-1.19.11.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="The AWS SDK for Python"
-HOMEPAGE="https://github.com/boto/boto3"
-LICENSE="Apache-2.0"
-SLOT="0"
-
-if [[ "${PV}" == "9999" ]]; then
- EGIT_REPO_URI="https://github.com/boto/boto3"
- inherit git-r3
- BOTOCORE_PV=${PV}
-else
- SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
-
- # botocore is x.(y+3).z
- BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
-fi
-
-RDEPEND="
- >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
- >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
- >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/mock[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_sphinx docs/source \
- 'dev-python/guzzle_sphinx_theme'
-distutils_enable_tests pytest
-
-python_prepare_all() {
- # don't lock versions to narrow ranges
- sed -e '/botocore/ d' \
- -e '/jmespath/ d' \
- -e '/s3transfer/ d' \
- -i setup.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- epytest tests/{functional,unit}
-}
diff --git a/dev-python/boto3/boto3-1.19.10.ebuild b/dev-python/boto3/boto3-1.19.12.ebuild
index 30a0b44d3f8c..30a0b44d3f8c 100644
--- a/dev-python/boto3/boto3-1.19.10.ebuild
+++ b/dev-python/boto3/boto3-1.19.12.ebuild
diff --git a/dev-python/boto3/boto3-1.19.6.ebuild b/dev-python/boto3/boto3-1.19.6.ebuild
deleted file mode 100644
index 30a0b44d3f8c..000000000000
--- a/dev-python/boto3/boto3-1.19.6.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="The AWS SDK for Python"
-HOMEPAGE="https://github.com/boto/boto3"
-LICENSE="Apache-2.0"
-SLOT="0"
-
-if [[ "${PV}" == "9999" ]]; then
- EGIT_REPO_URI="https://github.com/boto/boto3"
- inherit git-r3
- BOTOCORE_PV=${PV}
-else
- SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
-
- # botocore is x.(y+3).z
- BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
-fi
-
-RDEPEND="
- >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
- >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
- >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/mock[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_sphinx docs/source \
- 'dev-python/guzzle_sphinx_theme'
-distutils_enable_tests pytest
-
-python_prepare_all() {
- # don't lock versions to narrow ranges
- sed -e '/botocore/ d' \
- -e '/jmespath/ d' \
- -e '/s3transfer/ d' \
- -i setup.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- epytest tests/{functional,unit}
-}
diff --git a/dev-python/boto3/boto3-1.19.7.ebuild b/dev-python/boto3/boto3-1.19.7.ebuild
deleted file mode 100644
index 30a0b44d3f8c..000000000000
--- a/dev-python/boto3/boto3-1.19.7.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="The AWS SDK for Python"
-HOMEPAGE="https://github.com/boto/boto3"
-LICENSE="Apache-2.0"
-SLOT="0"
-
-if [[ "${PV}" == "9999" ]]; then
- EGIT_REPO_URI="https://github.com/boto/boto3"
- inherit git-r3
- BOTOCORE_PV=${PV}
-else
- SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
-
- # botocore is x.(y+3).z
- BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
-fi
-
-RDEPEND="
- >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
- >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
- >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/mock[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_sphinx docs/source \
- 'dev-python/guzzle_sphinx_theme'
-distutils_enable_tests pytest
-
-python_prepare_all() {
- # don't lock versions to narrow ranges
- sed -e '/botocore/ d' \
- -e '/jmespath/ d' \
- -e '/s3transfer/ d' \
- -i setup.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- epytest tests/{functional,unit}
-}
diff --git a/dev-python/boto3/boto3-1.19.8.ebuild b/dev-python/boto3/boto3-1.19.8.ebuild
deleted file mode 100644
index 30a0b44d3f8c..000000000000
--- a/dev-python/boto3/boto3-1.19.8.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="The AWS SDK for Python"
-HOMEPAGE="https://github.com/boto/boto3"
-LICENSE="Apache-2.0"
-SLOT="0"
-
-if [[ "${PV}" == "9999" ]]; then
- EGIT_REPO_URI="https://github.com/boto/boto3"
- inherit git-r3
- BOTOCORE_PV=${PV}
-else
- SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
-
- # botocore is x.(y+3).z
- BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
-fi
-
-RDEPEND="
- >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
- >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
- >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/mock[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_sphinx docs/source \
- 'dev-python/guzzle_sphinx_theme'
-distutils_enable_tests pytest
-
-python_prepare_all() {
- # don't lock versions to narrow ranges
- sed -e '/botocore/ d' \
- -e '/jmespath/ d' \
- -e '/s3transfer/ d' \
- -i setup.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- epytest tests/{functional,unit}
-}
diff --git a/dev-python/boto3/boto3-1.19.9.ebuild b/dev-python/boto3/boto3-1.19.9.ebuild
deleted file mode 100644
index 30a0b44d3f8c..000000000000
--- a/dev-python/boto3/boto3-1.19.9.ebuild
+++ /dev/null
@@ -1,53 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="The AWS SDK for Python"
-HOMEPAGE="https://github.com/boto/boto3"
-LICENSE="Apache-2.0"
-SLOT="0"
-
-if [[ "${PV}" == "9999" ]]; then
- EGIT_REPO_URI="https://github.com/boto/boto3"
- inherit git-r3
- BOTOCORE_PV=${PV}
-else
- SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
-
- # botocore is x.(y+3).z
- BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
-fi
-
-RDEPEND="
- >=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
- >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
- >=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/mock[${PYTHON_USEDEP}]
- )
-"
-
-distutils_enable_sphinx docs/source \
- 'dev-python/guzzle_sphinx_theme'
-distutils_enable_tests pytest
-
-python_prepare_all() {
- # don't lock versions to narrow ranges
- sed -e '/botocore/ d' \
- -e '/jmespath/ d' \
- -e '/s3transfer/ d' \
- -i setup.py || die
-
- distutils-r1_python_prepare_all
-}
-
-python_test() {
- epytest tests/{functional,unit}
-}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 731d96448385..454328e076b1 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -1,10 +1,5 @@
DIST botocore-1.21.53.tar.gz 8221904 BLAKE2B 79a87c9678fad9f3b4503740d9857579850eb2e6cf8371e233b9957b031e79aa04f28ce35b96826bfa4ff08c84a7ec646c8cd4302e5eb785530e8f3e2bf9b2f2 SHA512 0a3704d68a09a1afe53d4321d327036f4581d8c6942bc02f594c26d24fa2a60cfbbfab595cc3c4a4e9d3439790835739f7be8c3b572536feb655646c7800cf61
DIST botocore-1.21.60.tar.gz 8253381 BLAKE2B f035a335f8d72c182f6fbd3f2216608bd5683e70ae11fd8646ff81416262ec802aac5b084f0cf96d23fd6767bbe678e35b24377d82186440b3ee55c977b42643 SHA512 7e801f67c670a85ebd0641fe8a51890dcea1a3a6f2253cca1213ee96a20497c1196c16b2576bcd2dc796b501117d609240c59b1077bbdc0f3021cf6659289e21
DIST botocore-1.21.65.tar.gz 8261668 BLAKE2B c955019d06aa1b2f4503673b7d9009e5d6e07ee4348e730e6b4d11285f3030f676f0efda58a72dd92cac8c6ba0cb57f8f879eb5298009ecbd227904d18a453bf SHA512 955d24d2d486524af7bee57a56e2e903458030420198f3e6ab49d61be52b812a98444a9d0f86503b121270d6642345ffad6053ad143374dc56ab908b385afb0a
-DIST botocore-1.22.10.tar.gz 8331163 BLAKE2B 51515566ed811cb3698ee3ba9ec15490b8e3198570feadb5bac11164ab9a50a2441d115347e750b1180afad9f535c915445918acc5c83b486992e6040cacd008 SHA512 ac4954da4581755baf6777f71014db005870a8b868020ae1decee9e4eb0d1b9b43f72c2a4cf5e7069933421df7d66313cfb8465978dc516be4de16154c2bff6c
-DIST botocore-1.22.11.tar.gz 8340538 BLAKE2B 5db6aebab3ddc3757b495d1babc2916c80098b326b76420a48bf6cf68300809400b90fa2ef4b6701095eb4bf857d940fc4c52c678b9e78d6c7ff7d3c2c0b89af SHA512 4d138b0578b99db5a3945541af994a0ee8f42aeb3a2c0dac72669ef50be5a73f18b82a99109498a66d36f847fe0784518aefad7cdc1e02949a247969105d9109
+DIST botocore-1.22.12.tar.gz 8343683 BLAKE2B df7b2c86f226df14dc8181e8506acc7dd660797311049e2342ec721e853af1158c845749a8143ec6677601420ce6140173da8df5d9e4550cdf9becfc944ebd3c SHA512 0ab78902711960f8373a91af379b4981ab29646cc9f94e49836deaa432695c503879ed0bbbf54e3641e50933b5ed658e48052ca2b8b8391f705284d9abd24c1f
DIST botocore-1.22.5.tar.gz 8301083 BLAKE2B 91f9d38e7c5bcb0b8f58c04547ad45489f58d2240c6b7301cf632969a4a73cf4a1d51c8c68c8def27653c10041d2163ad7ca800dcf6fd07972b506bf2566cae3 SHA512 710a9eeee03dc79ca4ffacc4974f09ca769e1e3b8cb143f6f0349240dd8c2af8ee526a1dadb7310a26019363f683fc4149cb4c73d8b94a856a384fab7f84fb5c
-DIST botocore-1.22.6.tar.gz 8302901 BLAKE2B 4627c7bfcbd1750a6517c045b7c7c986c6defb9b35e413fae47e03fe24f3404ff4905c714212ad00193eb4dfa2893a0080da97acb538965a8792278915823a3b SHA512 f39eb6f339011709fa764d3783f225fbd4e4100e51466de9c87d6a3a5430823e81be1b024963ded49785b4fd49febdfa66dd3f91c3b9296508c3d71d794d170d
-DIST botocore-1.22.7.tar.gz 8306878 BLAKE2B fd427ced3eb3c2ce71a28f7334ee312293fc98c7b2d91991ce6c894f71bd39b356aa3a2f0a0495fd91e394be4d284b21dc8272863e9568167112aadccaed21a6 SHA512 39eaa5d4bc64669bc398797c69d63157a6a4539bed1c4cdc492c4fe94c9a32d58ac9ea8c06fafd75a5c36ab9d3a5c99f88990b03bcef6cccf7e0c4247330780b
-DIST botocore-1.22.8.tar.gz 8316687 BLAKE2B 0ea2bfbf794d156e5843687927980d4dc9e4243c00ec6ee3175dd02cf7d99a10e549b06eb377edb52b73ca64e4e97e6c03c96389773f5ac87f648a6ec6a89398 SHA512 d35748c240ad83155c5d97b044569e1d7093469acdac948d4ce396b1f17563ed5e9bbfa91799a87fabd93df3b63724be096d489be909aa1567d59e6bafe99e03
-DIST botocore-1.22.9.tar.gz 8325440 BLAKE2B 9d1612941e37446e030178eec54fd17ee4b9ad4bd43a943a09cc53cf343e5dee7f568702da5f1110ddfc4c814c2aef3997dd72c2e07445ad3287044ffc77a34c SHA512 6be85c95fd9ddd7f7756a337b696433c0d7c3d67fd33e2c3249914fd9db957b16d89b54551bfad58e79292becc054220efb70c45af234b92009e0de72e95a512
diff --git a/dev-python/botocore/botocore-1.22.11.ebuild b/dev-python/botocore/botocore-1.22.11.ebuild
deleted file mode 100644
index 9cd77a5ad4d0..000000000000
--- a/dev-python/botocore/botocore-1.22.11.ebuild
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="Low-level, data-driven core of boto 3"
-HOMEPAGE="https://github.com/boto/botocore"
-LICENSE="Apache-2.0"
-SLOT="0"
-
-if [[ "${PV}" == "9999" ]]; then
- EGIT_REPO_URI="https://github.com/boto/botocore"
- inherit git-r3
-else
- SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
-fi
-
-RDEPEND="
- dev-python/six[${PYTHON_USEDEP}]
- dev-python/jmespath[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/jsonschema[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
-)
-
-distutils_enable_sphinx docs/source \
- 'dev-python/guzzle_sphinx_theme'
-distutils_enable_tests pytest
-
-src_prepare() {
- # unpin deps
- sed -i -e "s:>=.*':':" setup.py || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- epytest tests/{functional,unit}
-}
diff --git a/dev-python/botocore/botocore-1.22.10.ebuild b/dev-python/botocore/botocore-1.22.12.ebuild
index 9cd77a5ad4d0..9cd77a5ad4d0 100644
--- a/dev-python/botocore/botocore-1.22.10.ebuild
+++ b/dev-python/botocore/botocore-1.22.12.ebuild
diff --git a/dev-python/botocore/botocore-1.22.6.ebuild b/dev-python/botocore/botocore-1.22.6.ebuild
deleted file mode 100644
index 9cd77a5ad4d0..000000000000
--- a/dev-python/botocore/botocore-1.22.6.ebuild
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="Low-level, data-driven core of boto 3"
-HOMEPAGE="https://github.com/boto/botocore"
-LICENSE="Apache-2.0"
-SLOT="0"
-
-if [[ "${PV}" == "9999" ]]; then
- EGIT_REPO_URI="https://github.com/boto/botocore"
- inherit git-r3
-else
- SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
-fi
-
-RDEPEND="
- dev-python/six[${PYTHON_USEDEP}]
- dev-python/jmespath[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/jsonschema[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
-)
-
-distutils_enable_sphinx docs/source \
- 'dev-python/guzzle_sphinx_theme'
-distutils_enable_tests pytest
-
-src_prepare() {
- # unpin deps
- sed -i -e "s:>=.*':':" setup.py || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- epytest tests/{functional,unit}
-}
diff --git a/dev-python/botocore/botocore-1.22.7.ebuild b/dev-python/botocore/botocore-1.22.7.ebuild
deleted file mode 100644
index 9cd77a5ad4d0..000000000000
--- a/dev-python/botocore/botocore-1.22.7.ebuild
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="Low-level, data-driven core of boto 3"
-HOMEPAGE="https://github.com/boto/botocore"
-LICENSE="Apache-2.0"
-SLOT="0"
-
-if [[ "${PV}" == "9999" ]]; then
- EGIT_REPO_URI="https://github.com/boto/botocore"
- inherit git-r3
-else
- SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
-fi
-
-RDEPEND="
- dev-python/six[${PYTHON_USEDEP}]
- dev-python/jmespath[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/jsonschema[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
-)
-
-distutils_enable_sphinx docs/source \
- 'dev-python/guzzle_sphinx_theme'
-distutils_enable_tests pytest
-
-src_prepare() {
- # unpin deps
- sed -i -e "s:>=.*':':" setup.py || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- epytest tests/{functional,unit}
-}
diff --git a/dev-python/botocore/botocore-1.22.8.ebuild b/dev-python/botocore/botocore-1.22.8.ebuild
deleted file mode 100644
index 9cd77a5ad4d0..000000000000
--- a/dev-python/botocore/botocore-1.22.8.ebuild
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="Low-level, data-driven core of boto 3"
-HOMEPAGE="https://github.com/boto/botocore"
-LICENSE="Apache-2.0"
-SLOT="0"
-
-if [[ "${PV}" == "9999" ]]; then
- EGIT_REPO_URI="https://github.com/boto/botocore"
- inherit git-r3
-else
- SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
-fi
-
-RDEPEND="
- dev-python/six[${PYTHON_USEDEP}]
- dev-python/jmespath[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/jsonschema[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
-)
-
-distutils_enable_sphinx docs/source \
- 'dev-python/guzzle_sphinx_theme'
-distutils_enable_tests pytest
-
-src_prepare() {
- # unpin deps
- sed -i -e "s:>=.*':':" setup.py || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- epytest tests/{functional,unit}
-}
diff --git a/dev-python/botocore/botocore-1.22.9.ebuild b/dev-python/botocore/botocore-1.22.9.ebuild
deleted file mode 100644
index 9cd77a5ad4d0..000000000000
--- a/dev-python/botocore/botocore-1.22.9.ebuild
+++ /dev/null
@@ -1,50 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="Low-level, data-driven core of boto 3"
-HOMEPAGE="https://github.com/boto/botocore"
-LICENSE="Apache-2.0"
-SLOT="0"
-
-if [[ "${PV}" == "9999" ]]; then
- EGIT_REPO_URI="https://github.com/boto/botocore"
- inherit git-r3
-else
- SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
- KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
-fi
-
-RDEPEND="
- dev-python/six[${PYTHON_USEDEP}]
- dev-python/jmespath[${PYTHON_USEDEP}]
- dev-python/python-dateutil[${PYTHON_USEDEP}]
- >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
-"
-BDEPEND="
- test? (
- dev-python/jsonschema[${PYTHON_USEDEP}]
- )
-"
-
-PATCHES=(
- "${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
-)
-
-distutils_enable_sphinx docs/source \
- 'dev-python/guzzle_sphinx_theme'
-distutils_enable_tests pytest
-
-src_prepare() {
- # unpin deps
- sed -i -e "s:>=.*':':" setup.py || die
- distutils-r1_src_prepare
-}
-
-python_test() {
- epytest tests/{functional,unit}
-}
diff --git a/dev-python/cairocffi/cairocffi-1.3.0.ebuild b/dev-python/cairocffi/cairocffi-1.3.0.ebuild
index 08f74ab9469c..0b4451835152 100644
--- a/dev-python/cairocffi/cairocffi-1.3.0.ebuild
+++ b/dev-python/cairocffi/cairocffi-1.3.0.ebuild
@@ -12,7 +12,7 @@ SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc ~x86"
+KEYWORDS="amd64 ~arm arm64 ~hppa ~ia64 ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
$(python_gen_cond_dep '
diff --git a/dev-python/carbon/Manifest b/dev-python/carbon/Manifest
index 50aa1134d2e9..cde50d25126e 100644
--- a/dev-python/carbon/Manifest
+++ b/dev-python/carbon/Manifest
@@ -1 +1,2 @@
DIST carbon-1.1.7.tar.gz 73380 BLAKE2B 8f9c807bc5e1c6fc020ae31179b6c0c11724b1110def323f92e158c5cf7c88291686bdc7f9078fb9234e5f2877fd745f7ec581533fa9a77e0307bf56f8ba60e0 SHA512 f0c5c64fa02cfd5940a7b23dbb3f2af27f67595e301ae719f4e2e9cdb48d4a5673d36a60adc8d338a55202f8e89873a7539c960cc16649903305191c6b0fc875
+DIST carbon-1.1.8.tar.gz 72452 BLAKE2B d76a281925645ebf6f74ff83f8ea6a52016f29ae0e35143e48e9aa0f2fcc267ceee1b5040ad756bbab8b2c1ffde5040231b8e0b581bd177bfb31ddf33fab7933 SHA512 b679d0329a5c8701af8aad3bdc51d64fbab7d05214c09368a218f1c925593002596a04b50fd2aadf26bd21ea7ef4b8262ae7f8169ef0d6ee40dccbc933539161
diff --git a/dev-python/carbon/carbon-1.1.8.ebuild b/dev-python/carbon/carbon-1.1.8.ebuild
new file mode 100644
index 000000000000..fd9d5aa8dfa3
--- /dev/null
+++ b/dev-python/carbon/carbon-1.1.8.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1
+
+DESCRIPTION="Backend data caching and persistence daemon for Graphite"
+HOMEPAGE="https://graphiteapp.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="Apache-2.0"
+KEYWORDS="~amd64 ~x86"
+
+# whisper appears to have been missed from listing in install_requires in setup.py
+RDEPEND="
+ dev-python/twisted[${PYTHON_USEDEP}]
+ dev-python/cachetools[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+ =dev-python/whisper-${PV}*[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ # Do not install the configuration and data files. We install them
+ # somewhere sensible by hand.
+ sed -i -e '/data_files=install_files,/d' setup.py || die
+ # We want FHS-style paths instead of /opt/graphite
+ export GRAPHITE_NO_PREFIX=yes
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+
+ insinto /etc/carbon
+ doins conf/*
+
+ keepdir /var/log/carbon /var/lib/carbon/{whisper,lists,rrd}
+
+ newinitd "${FILESDIR}"/carbon.initd2 carbon-cache
+ newinitd "${FILESDIR}"/carbon.initd2 carbon-relay
+ newinitd "${FILESDIR}"/carbon.initd2 carbon-aggregator
+
+ newconfd "${FILESDIR}"/carbon.confd carbon-cache
+ newconfd "${FILESDIR}"/carbon.confd carbon-relay
+ newconfd "${FILESDIR}"/carbon.confd carbon-aggregator
+}
+
+pkg_postinst() {
+ einfo 'This ebuild installs carbon into FHS-style paths.'
+ einfo 'You will probably have to set GRAPHITE_CONF_DIR to /etc/carbon'
+ einfo 'and GRAPHITE_STORAGE_DIR to /var/lib/carbon to make use of this'
+ einfo '(see /etc/carbon/carbon.conf.example).'
+ einfo ' '
+ einfo 'OpenRC init script supports multiple instances !'
+ einfo 'Example to run an instance b of carbon-cache :'
+ einfo ' ln -s /etc/init.d/carbon-cache /etc/init.d/carbon-cache.b'
+ einfo ' cp /etc/conf.d/carbon-cache /etc/conf.d/carbon-cache.b'
+}
diff --git a/dev-python/dask/Manifest b/dev-python/dask/Manifest
index 29009d8b6165..f492b416ba57 100644
--- a/dev-python/dask/Manifest
+++ b/dev-python/dask/Manifest
@@ -1,2 +1,3 @@
DIST dask-2021.10.0.tar.gz 3963245 BLAKE2B cfccf683a6fc3b55f2be3e62b04e733586401ab642ed2ed0a6cc6956e4179d5692fb1aa94757fceacf1b40efd7ea46b6d5f7bb5df407d0f51d2f711c1672307e SHA512 801378c1e09eeb6825603d4de8efe711c04c1d83dbd37d44a66695c1629d74e6914670015fb231b270fa61a668120358aa5cd32d4ee99096616624e8fe0905fa
+DIST dask-2021.11.0.tar.gz 3971871 BLAKE2B be2c28782e3e870b62e70041bd7572783ff9eef61c27d2fa092f00b74ae23877163e3c00f59f67c5c39b6fefd723cb2c25cdc58b5f5c76c08ef1d686f256cb25 SHA512 cebdef68b2c40348c84627505f4e1f17f998aed603d590be5acc7b78233362330352be395396be00f72215b738e9393ef08eeae8ed0fb933466c1c2d6158e5ea
DIST dask-2021.9.1.tar.gz 3794819 BLAKE2B c3ed5050581f41c4ea82ad9d1d233205f105434e5e6dcc654ba2e999b8cf105033d58ecf045d2063dabcb701cb2af6f092ecfd8435d24e5949ed2d39b54ae19e SHA512 20beca3f68c2e21d54c941049a1f352e19fcce7b5f7ecf84abf60cfb9979551a3e83938ca5439b662d35c0b64b26d726f6fea85641e737d0060c56a2e879755e
diff --git a/dev-python/dask/dask-2021.11.0.ebuild b/dev-python/dask/dask-2021.11.0.ebuild
new file mode 100644
index 000000000000..46ec908ef4e7
--- /dev/null
+++ b/dev-python/dask/dask-2021.11.0.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Task scheduling and blocked algorithms for parallel processing"
+HOMEPAGE="https://dask.org/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/cloudpickle-0.2.2[${PYTHON_USEDEP}]
+ >=dev-python/fsspec-0.6.0[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.15.1[${PYTHON_USEDEP}]
+ >=dev-python/pandas-0.25.0[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ >=dev-python/partd-0.3.10[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/toolz-0.8.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/toolz[${PYTHON_USEDEP}]
+ test? (
+ dev-python/moto[${PYTHON_USEDEP}]
+ dev-python/numexpr[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/dask-2021.10.0-warning.patch
+)
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # files missing from pypi tarball
+ dask/tests/test_docs.py::test_development_guidelines_matches_ci
+ )
+ epytest -p no:flaky -m "not network"
+}
diff --git a/dev-python/fonttools/Manifest b/dev-python/fonttools/Manifest
index ff9d99cdb7ae..a4797d93ee6c 100644
--- a/dev-python/fonttools/Manifest
+++ b/dev-python/fonttools/Manifest
@@ -1,2 +1,3 @@
DIST fonttools-4.26.2.tar.gz 2579391 BLAKE2B 35a2533a336498aa1d5b9c2a61c1de6af03e6a7a1932a1ad71522f7f73e52590c347fe3e7d60b93b013389023792e6e6b91d6b4bfb92e007062dc2ac494adbb6 SHA512 2caa52a48574e6bdf418fe57fb4ca69686eeae65cb1f44c0cb16c64400ea666530dfcca9e8a619859cf553435f93b38f63e422c315206ecec467eed6339a5987
DIST fonttools-4.27.1.tar.gz 2645747 BLAKE2B aea6b8c13f29f460945f2d075176960f0f994fc262af06b493d2c34a0e4e6d37263f642e6ebb44b4a7c082bdcd7d4f1fa88e40e82760cf8a9b90cab8735f005a SHA512 76371a1244cb1c681b90f31ce67de3aff5e732477aea02c046a45a838ed49f097707edd359c7427e2643b357c12f6516d667d6b1a61e942a8e3b57eae1d6df70
+DIST fonttools-4.28.0.tar.gz 2654535 BLAKE2B 2bdde1a5c9184574e220bf3fa5dea04ae0e4ab8bb85bb8893e38e96cd028dc6cdcb88b21a9d12429292fe9cb282a90ce7b3abf4f17dea95df52165f5f4d0da0c SHA512 6fddef1d065001afd63147fc474c49f7799895aafddb37b3c94e981fa86e829b39865a40c61e3bf1e64f64a40cf4d5ae02fa98fcf7c89d3f893a2588d213427d
diff --git a/dev-python/fonttools/fonttools-4.28.0.ebuild b/dev-python/fonttools/fonttools-4.28.0.ebuild
new file mode 100644
index 000000000000..280f5b4947c7
--- /dev/null
+++ b/dev-python/fonttools/fonttools-4.28.0.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Library for manipulating TrueType, OpenType, AFM and Type1 fonts"
+HOMEPAGE="https://github.com/fonttools/fonttools/"
+SRC_URI="https://github.com/fonttools/fonttools/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~sparc ~x86 ~x64-macos"
+
+RDEPEND=">=dev-python/fs-2.4.9[${PYTHON_USEDEP}]"
+BDEPEND="
+ ${RDEPEND}
+ dev-python/cython[${PYTHON_USEDEP}]
+ test? (
+ app-arch/brotli[python,${PYTHON_USEDEP}]
+ app-arch/zopfli
+ )"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # When dev-python/pytest-shutil is installed, we get weird import errors.
+ # This is due to incomplete nesting in the Tests/ tree:
+ #
+ # Tests/feaLib/__init__.py
+ # Tests/ufoLib/__init__.py
+ # Tests/svgLib/path/__init__.py
+ # Tests/otlLib/__init__.py
+ # Tests/varLib/__init__.py
+ #
+ # This tree requires an __init__.py in Tests/svgLib/ too, bug #701148.
+ touch Tests/svgLib/__init__.py || die
+
+ distutils-r1_python_prepare_all
+}
+
+src_configure() {
+ DISTUTILS_ARGS=( --with-cython )
+}
+
+python_test() {
+ distutils_install_for_testing
+ # virtualx used when matplotlib is installed causing plot module tests to run
+ virtx epytest Tests fontTools
+}
diff --git a/dev-python/fqdn/fqdn-1.5.1.ebuild b/dev-python/fqdn/fqdn-1.5.1.ebuild
index 21b688c81c9f..cd6506c2f3f2 100644
--- a/dev-python/fqdn/fqdn-1.5.1.ebuild
+++ b/dev-python/fqdn/fqdn-1.5.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="https://github.com/ypcrts/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MPL-2.0"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="amd64 ~arm arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
$(python_gen_cond_dep '
diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index 0ce1586b11e6..99d0af38f1fb 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1 +1,2 @@
DIST filesystem_spec-2021.10.1.tar.gz 315068 BLAKE2B c9be13ba8a2821274335fb924e91904640f4505a7e639211c7b6701f63f7dcddae018c15933b291d4f4d9f2ea451136e09ede637d615985889b565a12ac93665 SHA512 2f89a24b5491e15d3b3d9a2e6307c6d4a0db61848ad5e9324f4e234d4204e3a1f78b00a50b26f6fe90d657df6700aa23cb76f5df996b29dd880b7c8677d21382
+DIST filesystem_spec-2021.11.0.tar.gz 322885 BLAKE2B 5bd751b73fdc9d2c1568e1b769cb188ac3937148a83b28a412038924339b3a2443ec783ee730ec29bf585c33aadd46dbe295a08d4cbea679119c3119e75190b1 SHA512 fc742548cd8404ce90a673e2df37cb0d06add639fc3b5bb4e1c80b7a0d5a6c815196ab19e65c207651ba8087bd1d742da0c60f5655b7fd65ef5d1883fac4417b
diff --git a/dev-python/fsspec/fsspec-2021.11.0.ebuild b/dev-python/fsspec/fsspec-2021.11.0.ebuild
new file mode 100644
index 000000000000..3ef3d4695daa
--- /dev/null
+++ b/dev-python/fsspec/fsspec-2021.11.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+MY_P=filesystem_spec-${PV}
+DESCRIPTION="A specification that python filesystems should adhere to"
+HOMEPAGE="https://github.com/fsspec/filesystem_spec/
+ https://pypi.org/project/fsspec/"
+SRC_URI="
+ https://github.com/fsspec/filesystem_spec/archive/${PV}.tar.gz
+ -> ${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+BDEPEND="
+ dev-python/versioneer[${PYTHON_USEDEP}]
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )"
+
+distutils_enable_tests pytest
+
+src_test() {
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ distutils-r1_src_test
+}
+
+EPYTEST_DESELECT=(
+ fsspec/tests/test_spec.py::test_find
+)
+
+EPYTEST_IGNORE=(
+ # sftp and smb require server started via docker
+ fsspec/implementations/tests/test_dbfs.py
+ fsspec/implementations/tests/test_sftp.py
+ fsspec/implementations/tests/test_smb.py
+)
diff --git a/dev-python/guessit/Manifest b/dev-python/guessit/Manifest
index e43ac4561590..4c12fc779f46 100644
--- a/dev-python/guessit/Manifest
+++ b/dev-python/guessit/Manifest
@@ -1 +1,2 @@
DIST guessit-3.3.1.tar.gz 156178 BLAKE2B 190b61eb98c4945eb2e14bbc3387a2eabff4e0f2fccf42f3b957d2b081d83d96333f3931837ad77d6b09c12aaa174eb8adf993d62ab9de7b74d8f0c55282a77c SHA512 42c87525ea2d9c808e30b50db674862f5362f26b95ba5e6bc163df03a261d9b24daf4b4d525677d3e6d53e8e7f637c3d9e0ba3f25f4397e0658b618f50a3248b
+DIST guessit-3.4.1.tar.gz 165594 BLAKE2B a05b272efd3304dc7f9e1ae6bc6595e5dc43a1cb68d96cebcd2817deced508cc24771235bcfb4dd9aec7aa41857cde138fed110e3b921aca7dc8cc15f750ba0e SHA512 2e42f93d4302f9586015bac9b11ebf0fd819305e02b869b6f398f494c0a979fd7d6857f9e036656d419c937e3f723a80cf0211ae1068edbfa3c7f9e1fdce182c
diff --git a/dev-python/guessit/guessit-3.4.1.ebuild b/dev-python/guessit/guessit-3.4.1.ebuild
new file mode 100644
index 000000000000..d67816691858
--- /dev/null
+++ b/dev-python/guessit/guessit-3.4.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python library for guessing information from video filenames"
+HOMEPAGE="https://github.com/guessit-io/guessit
+ https://pypi.org/project/guessit/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/babelfish-0.5.5[${PYTHON_USEDEP}]
+ >=dev-python/rebulk-3[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Disable benchmarks as they require unavailable pytest-benchmark.
+ rm guessit/test/test_benchmark.py || die
+ sed -i -e "s|'pytest-benchmark',||g" setup.py || die
+
+ # Disable unconditional dependency on dev-python/pytest-runner.
+ sed -i -e "s|'pytest-runner'||g" setup.py || die
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 1c128c496f75..90230e1dd71e 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -3,3 +3,4 @@ DIST hypothesis-python-6.23.2.tar.gz 9167318 BLAKE2B 0a1ccf0235c64dd69705e48f67c
DIST hypothesis-python-6.23.4.tar.gz 9167755 BLAKE2B c953e54abf704f1e4d8ab74abb046c19a9bd7e1f32ae7a17133d2b042ce5a06063999249284e0afa2d650575b69bca646e52bfdb3648ac2972077f4d74b82557 SHA512 9d178545bb6c6cb8ecebbaeefea16b5d7390691536b724742b94a94d881ccc4b2f1b82f865fd7860b0f9b688c19aa60929aabf2e7ba8ce255ee5bbf79ed873ab
DIST hypothesis-python-6.24.0.tar.gz 9168076 BLAKE2B 550b42c39712f47c74d935b24a5bba98a50ac38b839d94a487a655ce1938d382a30b443107deadaf2b97fb89ea8f53df5aaceaabf23e0f8e221a45120163cb91 SHA512 2bc815876a295b366c4b167e7e13bfe11683b0d0111263f6129ab0ef441151554298c43bf1caa4345eff2d7e9a11bd63450e7b1bf00f8ece4dd49b3f4469defa
DIST hypothesis-python-6.24.1.tar.gz 9168432 BLAKE2B 4d8e548cd001cd279076990034716692983b799e81063e377fa3f5636671d2bceba718f7ba05d97843968610d2c0d444ad7bb00a774f59aad9b1f17210222001 SHA512 ae321f386be0b9e5b79630b98fc14a24ba3c9285ec9bab880c52fe462800a952bfff07a398199080a59c6e7c32f0700a6f1f36692bb6f3d332cb817441ff5d6f
+DIST hypothesis-python-6.24.2.tar.gz 9168397 BLAKE2B 87070841a01c7c9de79b5d786867024873f7de186bbee01bba708e783fd1268523b2e0398a055c92b782f27d0f67679bf5852bd49371932d277726517d12bd91 SHA512 9e4ee194fe561f8a39a26ab63cad4b6f093b2fcb56d02a5adfc4bdee1d7ccf55e6712d1af41d17155c6e88ecc75e6f191cf2761c2d71c2c052d7e8259cff0326
diff --git a/dev-python/hypothesis/hypothesis-6.24.2.ebuild b/dev-python/hypothesis/hypothesis-6.24.2.ebuild
new file mode 100644
index 000000000000..8b48444a4699
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.24.2.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="https://github.com/HypothesisWorks/hypothesis https://pypi.org/project/hypothesis/"
+SRC_URI="https://github.com/HypothesisWorks/${PN}/archive/${PN}-python-${PV}.tar.gz"
+S="${WORKDIR}/${PN}-${PN}-python-${PV}/${PN}-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' python3_{7..9})
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/typing-3.7.4.1
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_prepare() {
+ if ! use cli || ! has "${EPYTHON}" python3.{7..9}; then
+ sed -i -e '/console_scripts/d' setup.py || die
+ fi
+}
+
+python_test() {
+ distutils_install_for_testing
+ epytest tests/cover tests/pytest tests/quality \
+ -p no:pytest-describe \
+ -n "$(makeopts_jobs "${MAKEOPTS}" "$(get_nproc)")"
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/imageio/Manifest b/dev-python/imageio/Manifest
index 2a645d8862d2..5c047668464d 100644
--- a/dev-python/imageio/Manifest
+++ b/dev-python/imageio/Manifest
@@ -1,3 +1,4 @@
DIST imageio-2.10.1.gh.tar.gz 334497 BLAKE2B 979107dec1c18c87a6620be90d68d24e37ae75f7418fafbe67d78fbc3de38b2ccd810e120501061d88a0029674ba814507ac73852b89559413f427986398819b SHA512 2af953f6c2eda3bf1fe3cf74a241bfb7cdb01ff3712f3d7526ceb1aad38499e481fd90eb782324264804c07fcb4425bcd0983be1ef0ec1d86a9b632098944f5a
DIST imageio-2.10.2.gh.tar.gz 334834 BLAKE2B 6c3e4e22d60191dfd346c41dc6a070ddd0cd86975230d250ac9731014e894cc0bdca1395c332c67fbbdba8dd8eb921d4ccdc378b8d723741459a0f25c3fb7c36 SHA512 ef7ffc0273b14eb9b81271c2d385cb44e910ed33aec2cc8a919cbf5a6699dc4e9f26a4796891efa8c83ca7f3e1a53c9c6ab9217d50d3e2914358e1db5d6be65c
+DIST imageio-2.10.3.gh.tar.gz 335059 BLAKE2B 81af506502edb0015f52bfa86ee3ef508d6b2ec90677d460fcdb727bb7ac4775cb6ccb5d84d0ff0d4bfe06e1ea44f67f09d3031bd093d0c026b22f561d2a8217 SHA512 2273d1b5c29994195508a2935577037737b7b462200f00f54d6466e325b52b8c2641d1e34ec9cdfb58ba689cb3d2c76eec857dcb72ce2464666ab657ea5adb4c
DIST imageio-2.9.0.gh.tar.gz 298291 BLAKE2B b36b0a5bf74938177353ffce103d7479a2b15442623d400261dac485b5cc7e8743b18e92d938fcfe2b68dfdef1d1417308e5441112ff851481cc768b76ab56d0 SHA512 a325ad4f0913219b87418d4f57fddc3f1e4c1be4102e933aa0c236317044d2a5ded623bbe86b92d3f2004bb9386ccb3f0cc03b7b118f9faa6f320dd147157ed6
diff --git a/dev-python/imageio/imageio-2.10.3.ebuild b/dev-python/imageio/imageio-2.10.3.ebuild
new file mode 100644
index 000000000000..3101497b5429
--- /dev/null
+++ b/dev-python/imageio/imageio-2.10.3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="Python library for reading and writing image data"
+HOMEPAGE="https://imageio.github.io/"
+SRC_URI="
+ https://github.com/imageio/imageio/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+PROPERTIES="test_network"
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP}]
+ media-libs/freeimage
+"
+BDEPEND="
+ test? (
+ dev-python/psutil[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # Fails because of system installed freeimage
+ tests/test_core.py::test_findlib2
+ # Needs unpackaged imageio_ffmpeg
+ tests/test_ffmpeg.py
+ tests/test_ffmpeg_info.py
+)
diff --git a/dev-python/inotify_simple/Manifest b/dev-python/inotify_simple/Manifest
deleted file mode 100644
index af642423f109..000000000000
--- a/dev-python/inotify_simple/Manifest
+++ /dev/null
@@ -1 +0,0 @@
-DIST inotify_simple-1.3.5.tar.gz 8534 BLAKE2B bda4abce55277d8502ed47b07d3ab0fc4202bf191c1c98d12614671196f4b43c818c23d0ffeed1637f154d39cf97477b92abdea686d9bf130947407938b3d550 SHA512 a2f837ef123ae149c3e203e2d7c7e567214792c7ee3d54b6e36292822e6b9c476c754554ee1109f9ada3dcf3f615024f191aa903b54a875fa6d89f68669999bf
diff --git a/dev-python/inotify_simple/inotify_simple-1.3.5.ebuild b/dev-python/inotify_simple/inotify_simple-1.3.5.ebuild
deleted file mode 100644
index 46e08e7462ad..000000000000
--- a/dev-python/inotify_simple/inotify_simple-1.3.5.ebuild
+++ /dev/null
@@ -1,19 +0,0 @@
-# Copyright 2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-PYTHON_COMPAT=( python3_{6,7,8,9,10} )
-inherit distutils-r1
-
-DESCRIPTION="simple Python wrapper around inotify"
-HOMEPAGE="https://github.com/chrisjbillington/inotify_simple"
-SRC_URI="https://github.com/chrisjbillington/inotify_simple/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="BSD-2"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-DEPEND=""
-RDEPEND="${DEPEND}"
-BDEPEND=""
diff --git a/dev-python/inotify_simple/metadata.xml b/dev-python/inotify_simple/metadata.xml
deleted file mode 100644
index bc6321c12c63..000000000000
--- a/dev-python/inotify_simple/metadata.xml
+++ /dev/null
@@ -1,13 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
-<pkgmetadata>
- <maintainer type="project">
- <email>python@gentoo.org</email>
- </maintainer>
- <maintainer type="person">
- <email>zerochaos@gentoo.org</email>
- <name>Rick Farina (Zero_Chaos)</name>
- </maintainer>
-
- <origin>gentoo-staging</origin>
-</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/isoduration/isoduration-20.11.0.ebuild b/dev-python/isoduration/isoduration-20.11.0.ebuild
index 92818755f473..b50c6c367462 100644
--- a/dev-python/isoduration/isoduration-20.11.0.ebuild
+++ b/dev-python/isoduration/isoduration-20.11.0.ebuild
@@ -16,7 +16,7 @@ SRC_URI="
LICENSE="ISC"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="amd64 ~arm arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 sparc x86"
RDEPEND=">=dev-python/arrow-0.15.0[${PYTHON_USEDEP}]"
BDEPEND="
diff --git a/dev-python/jsonschema/Manifest b/dev-python/jsonschema/Manifest
index 31b50ee5497a..94eba716f4f1 100644
--- a/dev-python/jsonschema/Manifest
+++ b/dev-python/jsonschema/Manifest
@@ -4,3 +4,4 @@ DIST jsonschema-4.1.0.tar.gz 306755 BLAKE2B a98f1050943543ac51a2e0a7242a8bab9098
DIST jsonschema-4.1.1.tar.gz 310026 BLAKE2B c14bee88d20c53e4198e58b946c92a5c505a205daa09c30c474c2e95af45414b1c527298a2e0df647acd79ccbe9344c2aa03ee3e1b7daafda76153248e73f794 SHA512 7afa1bffd9631a503277479595cc9ed9a58ecd0f8f9035a2b65e4005f9f58ff4f6fa968b5ca783aa22c4530fc4acc5e2ea1ef2f67b7f4f09f245e9a6f2b2c3bd
DIST jsonschema-4.1.2.tar.gz 310016 BLAKE2B 16ec4f73a16980ec69e4c8e0d937726a6fcbf7ba0ba24dc9d76b5bf107b924fb3917927748e3dafacc0305322e9cb405daa83800dcfd5f2fcc63dbb8fe10a25a SHA512 5ab43602cfc2dfe07a8c733f01915b4961ee88ebb37723a7a3a6ee4793ddae4b4638abe77ac9d192158ae7634aacee0c58fa2959288ea0f83e3403d5f8b9f185
DIST jsonschema-4.2.0.tar.gz 310667 BLAKE2B 6210d1be3c4d72a9b5677fd06754df1b7d25ca6f0e7eb54089e0783e32408baf5f233a2a75eec686dddc7d112e397769ab58b0d1ac2d6246806375ed09427122 SHA512 75837145f542e8cf112b40e5fc5ec573bec8dfc6a27e9a7a4de6fbf127d845736509f89188700d68fe585ddf75f8e8a6e1d5c569e89bd8c03b36258adf36dab8
+DIST jsonschema-4.2.1.tar.gz 310668 BLAKE2B ba36be8abf0678fda773a9950f06e4d15f6a4c19fdd9f855310b80f45be1a25f44ce329c35667c4e107aab6ba381b02ff2caa305222932e2cbe733f293de82cc SHA512 349993c00e663f3efa2304e60c8b75e90c012d29faa498a01d5d2a5c47ddf0485f28894fd2ddf4766f9ab91e468f4b4f24a53390c72b7a31fae37d75c6f2b774
diff --git a/dev-python/jsonschema/jsonschema-4.1.2.ebuild b/dev-python/jsonschema/jsonschema-4.1.2.ebuild
index 4b0e1ffbfad1..b5410fc8be64 100644
--- a/dev-python/jsonschema/jsonschema-4.1.2.ebuild
+++ b/dev-python/jsonschema/jsonschema-4.1.2.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="amd64 ~arm arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
dev-python/attrs[${PYTHON_USEDEP}]
diff --git a/dev-python/jsonschema/jsonschema-4.2.1.ebuild b/dev-python/jsonschema/jsonschema-4.2.1.ebuild
new file mode 100644
index 000000000000..5b8d3c75eaef
--- /dev/null
+++ b/dev-python/jsonschema/jsonschema-4.2.1.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_SETUPTOOLS=pyproject.toml
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="An implementation of JSON-Schema validation for Python"
+HOMEPAGE="https://pypi.org/project/jsonschema/ https://github.com/Julian/jsonschema"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/attrs[${PYTHON_USEDEP}]
+ >=dev-python/pyrsistent-0.18.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_metadata[${PYTHON_USEDEP}]
+ ' pypy3)
+ $(python_gen_cond_dep '
+ >=dev-python/importlib_resources-1.4.0[${PYTHON_USEDEP}]
+ ' pypy3 python3_8)
+"
+
+# formatter deps
+RDEPEND+="
+ dev-python/fqdn[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/isoduration[${PYTHON_USEDEP}]
+ >=dev-python/jsonpointer-1.13[${PYTHON_USEDEP}]
+ dev-python/rfc3339-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3986-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3987[${PYTHON_USEDEP}]
+ dev-python/uritemplate[${PYTHON_USEDEP}]
+ >=dev-python/webcolors-1.11[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/twisted[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires pip, does not make much sense for the users
+ jsonschema/tests/test_cli.py::TestCLIIntegration::test_license
+)
diff --git a/dev-python/pymongo/pymongo-3.12.1.ebuild b/dev-python/pymongo/pymongo-3.12.1.ebuild
index 9cad63d58df0..105188a0dbc8 100644
--- a/dev-python/pymongo/pymongo-3.12.1.ebuild
+++ b/dev-python/pymongo/pymongo-3.12.1.ebuild
@@ -16,7 +16,7 @@ S=${WORKDIR}/${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="amd64 ~arm64 ~hppa ~riscv ~x86"
+KEYWORDS="amd64 ~arm64 ~hppa ~riscv x86"
IUSE="doc kerberos"
RDEPEND="
diff --git a/dev-python/scipy/Manifest b/dev-python/scipy/Manifest
index c8c120cd8eb0..8219933ad788 100644
--- a/dev-python/scipy/Manifest
+++ b/dev-python/scipy/Manifest
@@ -1,7 +1,10 @@
DIST scipy-1.6.2.tar.gz 27187804 BLAKE2B af3578bc029c3af548c04144d7405ac8e6f8e057f870394e124f24aea9989120275407e5a7fdd29fbe1019d2acc295c1ce00872461ecf3a325000e8817cd559f SHA512 18b03f32e8343c5a6c6148ac0bfd4b5f2cc9ff5f74d5d41761ae9e773d6af8774c7b09a3fcc47122864eccce1dbbc17e9325819885d3fc3ab2baf98e7d3befa4
DIST scipy-1.6.3.tar.gz 27187987 BLAKE2B 30f7171ca0dc0842f254472f4b52c0b0ad4389964a140cc4b94f9d85437c5a7da238c082be503242d433f1d3c65c3fd4afeb2f7831eea39ce303077406e718df SHA512 10ff25da84ce09ae231e781873902d8040d79868721d75a3f9facee177e7f46f7c9c34374feee6fe2253ddd968716d2993658ce514c4ac0c98d255c06a6ef808
DIST scipy-1.7.1.tar.gz 36102628 BLAKE2B 67a414d863c61bf419fa907b9bed53b57beedc20d71d0630fac9719f02e951ea79b893d0803b385936a7c04a6c2f723d3870f0498f71e3c210ccd6ee75a009dc SHA512 81fea7e4f5fbcd537d662273507b6ac75bd4cf900567da8083ac86fb06d9f96b010d01a1697db53211440f0fdb2d89510313bafd3d383284d0ab9a08311dd102
+DIST scipy-1.7.2.tar.gz 36104529 BLAKE2B 8e31a71e8cd69a83e1b60747a01e34f79e42664089a2c41aa263c1697a689464fde0b467063e0ae3bafa37721294a79e21d0eedc6023c1558aea6e0105aefeae SHA512 87596430571ff2a43f067eaaf3254c0841dac82b9152cb64040f1a4d9bc5429aebc31c619ce55d74727f2a79567dfef4acbc6252c24c46d3c8849f97e6e8cfef
DIST scipy-html-1.6.1.zip 23946591 BLAKE2B d3464c342b1d4f43e17e214c7557737913bf4131f88b9d569cff106c75dc7ebf0d065283792fddc189e2a3ddc322f1b2b4f38c6d313569f28395e79680060b58 SHA512 73561f9daa303c6e967f9b11952c6239dea7ff1a2fa02434354ac78fcffe7a552aa0f1043a17cb5c35a442def499eff199856cca8efa1415449cbf54f0d4913b
DIST scipy-html-1.6.2.zip 23947380 BLAKE2B e4616a157c037b0830fc32d23678fb7e8ebe023d1fd9f0f762695a0d93bc56e432e441e675ec3c7a7d6586a665f6127ce49d570f1716876e58afb402761f8e95 SHA512 119a2227a808c752a751bc7bec6463da739c68391ebac8d2451998d90ebe03b2af401adbf987f0b694244e715c0ef1fd86c2f4a36c48dbb1ff7cdf4d914875df
+DIST scipy-html-1.7.1.zip 32435246 BLAKE2B fd8173da41aba95a14b1376f848bc668c4659bf1bbbdd0f87d926633d36f29c039957d38be145a5583010ebd83f6458090f75bdad773cc0f1591664e13c04c20 SHA512 ee59722878f6ef2d2319cdf4e6a60d3d1184f7c22752f9a8859eaa46fb677ebac9e8eef9c0826998e12bac9399e336799843341ef203224a82c9101347149672
DIST scipy-ref-1.6.1.pdf 34594740 BLAKE2B 905ddcd7a3d462b09ded688f0818204d7684fa18058d0dac480d0a000e9ea0b7ebcdd33c01adae17234dcdf630d4aef9078174127af46f1db55d5c14b3245346 SHA512 355f4681439c1720f45dca6badfe72d77edfca0962fd9b42df34f1cd8fff7121fa6e7f60570bb638abd3ba9693930fa46b25af862d8fc1568b508c6fdd785479
DIST scipy-ref-1.6.2.pdf 34599668 BLAKE2B 9ae3221c814eb0d1b1e9191e08000955af503f6448cf8b5841e400fad106c658670339219f4838bd312023601776fe0b0d123ebbd41460c478145da2ac3e9989 SHA512 9aecb7ca760805c470c41121268281c9547aef35ddf078816c5e48f7cf4912a67cf622e267152c6cc823df9d82be1f3a875d97469169d0d91d6219164c130c88
+DIST scipy-ref-1.7.1.pdf 33542025 BLAKE2B 6c978f06b770805f0fae06db740e8596658d98bbbc93c865127eae909957503bb38e02a9c97319aed07608718f8f373374b1cf3a8c3bd624aa3143f1d21bc428 SHA512 45720dc299594bac5c7539f950a0ff135b125d86bfe9847032cbff1f294601fefd0a1ac3fd7e3928b2702390c318ae2f8adca6403ba06ea1ded705fcff94ab79
diff --git a/dev-python/scipy/scipy-1.7.2.ebuild b/dev-python/scipy/scipy-1.7.2.ebuild
new file mode 100644
index 000000000000..e4af3516bfb9
--- /dev/null
+++ b/dev-python/scipy/scipy-1.7.2.ebuild
@@ -0,0 +1,185 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit fortran-2 distutils-r1 flag-o-matic toolchain-funcs
+
+# upstream is slacking forever with doc updates
+DOC_PV=1.7.1
+DESCRIPTION="Scientific algorithms library for Python"
+HOMEPAGE="https://www.scipy.org/"
+SRC_URI="
+ mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz
+ doc? (
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-html-${DOC_PV}.zip
+ https://docs.scipy.org/doc/${PN}-${DOC_PV}/${PN}-ref-${DOC_PV}.pdf
+ )"
+
+LICENSE="BSD LGPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~riscv ~s390 ~sparc ~x86"
+IUSE="doc +pythran sparse"
+
+DEPEND="
+ >=dev-python/numpy-1.16.5[lapack,${PYTHON_USEDEP}]
+ sci-libs/arpack:0=
+ virtual/cblas
+ virtual/lapack
+ sparse? ( sci-libs/umfpack:0= )"
+RDEPEND="${DEPEND}
+ dev-python/pillow[${PYTHON_USEDEP}]"
+BDEPEND="
+ dev-lang/swig
+ >=dev-python/cython-0.29.18[${PYTHON_USEDEP}]
+ dev-python/pybind11[${PYTHON_USEDEP}]
+ virtual/pkgconfig
+ doc? ( app-arch/unzip )
+ pythran? ( dev-python/pythran[${PYTHON_USEDEP}] )
+ test? (
+ dev-python/nose[${PYTHON_USEDEP}]
+ )"
+
+DISTUTILS_IN_SOURCE_BUILD=1
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.7.1-pythran-tests-32-bit.patch
+)
+
+src_unpack() {
+ default
+ if use doc; then
+ unzip -qo "${DISTDIR}"/${PN}-html-${DOC_PV}.zip -d html || die
+ fi
+}
+
+pc_incdir() {
+ $(tc-getPKG_CONFIG) --cflags-only-I $@ | \
+ sed -e 's/^-I//' -e 's/[ ]*-I/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libdir() {
+ $(tc-getPKG_CONFIG) --libs-only-L $@ | \
+ sed -e 's/^-L//' -e 's/[ ]*-L/:/g' -e 's/[ ]*$//' -e 's|^:||'
+}
+
+pc_libs() {
+ $(tc-getPKG_CONFIG) --libs-only-l $@ | \
+ sed -e 's/[ ]-l*\(pthread\|m\)\([ ]\|$\)//g' \
+ -e 's/^-l//' -e 's/[ ]*-l/,/g' -e 's/[ ]*$//' \
+ | tr ',' '\n' | sort -u | tr '\n' ',' | sed -e 's|,$||'
+}
+
+python_prepare_all() {
+ # scipy automatically detects libraries by default
+ export {FFTW,FFTW3,UMFPACK}=None
+ use sparse && unset UMFPACK
+ # the missing symbols are in -lpythonX.Y, but since the version can
+ # differ, we just introduce the same scaryness as on Linux/ELF
+ [[ ${CHOST} == *-darwin* ]] \
+ && append-ldflags -bundle "-undefined dynamic_lookup" \
+ || append-ldflags -shared
+ [[ -z ${FC} ]] && export FC="$(tc-getFC)"
+ # hack to force F77 to be FC until bug #278772 is fixed
+ [[ -z ${F77} ]] && export F77="$(tc-getFC)"
+ export F90="${FC}"
+ export SCIPY_FCONFIG="config_fc --noopt --noarch"
+ append-fflags -fPIC
+
+ local libdir="${EPREFIX}"/usr/$(get_libdir)
+ cat >> site.cfg <<-EOF || die
+ [blas]
+ include_dirs = $(pc_incdir cblas)
+ library_dirs = $(pc_libdir cblas blas):${libdir}
+ blas_libs = $(pc_libs cblas blas)
+ [lapack]
+ library_dirs = $(pc_libdir lapack):${libdir}
+ lapack_libs = $(pc_libs lapack)
+ EOF
+ cat >> setup.cfg <<-EOF || die
+ [options]
+ zip_safe = False
+ EOF
+
+ # TODO
+ sed -e "s:== 'levy_stable':in ('levy_stable', 'crystalball', 'ncf'):" \
+ -i scipy/stats/tests/test_continuous_basic.py || die
+
+ # Skip known-failing test. Broken on all versions in Gentoo for years.
+ # bug #743295
+ sed -e 's:test_bisplev_integer_overflow:_&:' \
+ -i scipy/interpolate/tests/test_fitpack.py || die
+
+ # Skip a few 32-bit related failures
+ if use x86 ; then
+ # TODO: Tidy this up and switch to epytest
+ sed -i -e 's:test_nd_axis_m1:_&:' \
+ -e 's:test_nd_axis_0:_&:' \
+ -e 's:test_maxiter_worsening:_&:' \
+ -e 's:test_pdist_jensenshannon_iris:_&:' \
+ -e 's:test_align_vectors_single_vector:_&:' \
+ scipy/signal/tests/test_spectral.py \
+ scipy/sparse/linalg/isolve/tests/test_iterative.py \
+ scipy/spatial/tests/test_distance.py \
+ scipy/spatial/transform/tests/test_rotation.py || die
+ fi
+
+ if has_version ">=sci-libs/lapack-3.10"; then
+ sed -e 's:test_sort(:_&:' \
+ -i scipy/linalg/tests/test_decomp.py || die
+ sed -e 's:test_solve_discrete_are:_&:' \
+ -i scipy/linalg/tests/test_solvers.py || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+ export SCIPY_USE_PYTHRAN=$(usex pythran 1 0)
+
+ # bug 721860
+ test-flag-FC -fallow-argument-mismatch &&
+ append-fflags -fallow-argument-mismatch
+}
+
+python_compile() {
+ # FIXME: parallel python building fails, bug #614464
+ export MAKEOPTS=-j1
+
+ ${EPYTHON} tools/cythonize.py || die
+ distutils-r1_python_compile \
+ ${SCIPY_FCONFIG}
+}
+
+python_test() {
+ # fails with bdist_egg. should it be fixed in distutils-r1 eclass?
+ distutils_install_for_testing ${SCIPY_FCONFIG}
+ cd "${TEST_DIR}/lib" || die "no ${TEST_DIR} available"
+ PYTHONPATH=. "${EPYTHON}" -c "
+import scipy, sys
+r = scipy.test('fast', verbose=2)
+sys.exit(0 if r else 1)" || die "Tests fail with ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && \
+ local DOCS=( "${DISTDIR}"/${PN}-ref-${DOC_PV}.pdf ) \
+ local HTML_DOCS=( "${WORKDIR}"/html/. )
+ distutils-r1_python_install_all
+}
+
+python_install() {
+ distutils-r1_python_install ${SCIPY_FCONFIG}
+ python_optimize
+}
+
+pkg_postinst() {
+ elog "You might want to set the variable SCIPY_PIL_IMAGE_VIEWER"
+ elog "to your prefered image viewer. Example:"
+ elog " echo \"export SCIPY_PIL_IMAGE_VIEWER=display\" >> ~/.bashrc"
+}
diff --git a/dev-python/toolz/Manifest b/dev-python/toolz/Manifest
index 54bd7cade73e..46cf9697e0e8 100644
--- a/dev-python/toolz/Manifest
+++ b/dev-python/toolz/Manifest
@@ -1 +1,2 @@
DIST toolz-0.11.1.tar.gz 64428 BLAKE2B 934f122bbf9e762e72f502f8b9ba8b5aa946b6e2b758e9501c2bc58fefa3443cda4b3e2c423be221643f51b2a12de0961be835ae3a23e97525fa203c969edff4 SHA512 8bea2b75b74d9da988c777577f3ad574192659dcc4bea54ac6d1400a81bef07818c49c8da40028a8c42905f9ab5b5111c50c239fb56f34c315865f90413af68b
+DIST toolz-0.11.2.tar.gz 65928 BLAKE2B 3a2baddae437272e8f3efb665b63df127b3ec6bc2a68f3381651a1a3a3b45e4de6e575a328306fac95e9261228ee91193effd4aeca8d115f1608cb2561d50f13 SHA512 67e8aaea3f9fb8811027f19aa9cf56ab980e4f9cea43978ed9515662c78a7bea12314054b2c26da483b055382d4b080125c011fc43bc48b0965a6ff8415f7168
diff --git a/dev-python/toolz/toolz-0.11.2.ebuild b/dev-python/toolz/toolz-0.11.2.ebuild
new file mode 100644
index 000000000000..c36a2637c70a
--- /dev/null
+++ b/dev-python/toolz/toolz-0.11.2.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+inherit distutils-r1
+
+DESCRIPTION="List processing tools and functional utilities"
+HOMEPAGE="https://pypi.org/project/toolz/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ dev-python/versioneer[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
diff --git a/dev-python/uritemplate/uritemplate-3.0.1-r1.ebuild b/dev-python/uritemplate/uritemplate-3.0.1-r1.ebuild
index 567a746ea4e4..07ed94dcacbc 100644
--- a/dev-python/uritemplate/uritemplate-3.0.1-r1.ebuild
+++ b/dev-python/uritemplate/uritemplate-3.0.1-r1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="Apache-2.0"
-KEYWORDS="amd64 arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
+KEYWORDS="amd64 arm arm64 ~ppc ~ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux"
IUSE="test"
RESTRICT="!test? ( test )"
diff --git a/dev-python/xarray/Manifest b/dev-python/xarray/Manifest
index 20ed015ab110..de272d89dea8 100644
--- a/dev-python/xarray/Manifest
+++ b/dev-python/xarray/Manifest
@@ -1 +1,2 @@
DIST xarray-0.19.0.tar.gz 2882403 BLAKE2B 454595076074c9805f0ff6f8b761a61e4c172445f2fd0bbcbd39a9615f3465704871fbc5f7c1a9c5fbb1c80b6c47cd677e590e1513ca88cd67908ef3502d234e SHA512 8f4ce7f770ea10e757112b722c7e7a56f19be2f885c63620d547cc54d8b625a5a23c5e603ba804c4d94f2a94863aad8351a9f6ef22ccbc1a78d77a549a21356e
+DIST xarray-0.20.1.tar.gz 2896122 BLAKE2B 75dbebab105fb2b0c78d09e6dba30bf90a87d1e0b97b96cacc7f880a34734811dae7ebd6b4858718d70f7e03d99c8d58de9b6091d354831ccd17c3946b44e9b6 SHA512 d2e6162286c7e7debed27f40082086dbb55467a953a2afa81b08313aa111c28ffa942785687ac57cb60241a1f45a5d9a937a10bcc7c3025860f7251bbac79c22
diff --git a/dev-python/xarray/xarray-0.20.1.ebuild b/dev-python/xarray/xarray-0.20.1.ebuild
new file mode 100644
index 000000000000..3c73734dcc66
--- /dev/null
+++ b/dev-python/xarray/xarray-0.20.1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# pkg_resources use in code
+DISTUTILS_USE_SETUPTOOLS=rdepend
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="N-D labeled arrays and datasets in Python"
+HOMEPAGE="https://xarray.pydata.org/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/numpy-1.18[${PYTHON_USEDEP}]
+ >=dev-python/pandas-1.1[${PYTHON_USEDEP}]"
+# note: most of test dependencies are optional
+BDEPEND="
+ test? (
+ dev-python/bottleneck[${PYTHON_USEDEP}]
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ dev-python/matplotlib[${PYTHON_USEDEP}]
+ dev-python/toolz[${PYTHON_USEDEP}]
+ >=dev-python/scipy-1.4[${PYTHON_USEDEP}]
+ )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.19.0-riscv_tests_datetime.patch
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+ local deselect=(
+ # warning-targeted tests are fragile and not important to end users
+ xarray/tests/test_backends.py::test_no_warning_from_dask_effective_get
+ )
+
+ epytest ${deselect[@]/#/--deselect }
+}